Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.joinpoint
Class FieldWriteInvocation

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationBase
          org.jboss.aop.joinpoint.FieldInvocation
              org.jboss.aop.joinpoint.FieldWriteInvocation

All Implemented Interfaces:
  Invocation, Serializable

Direct Known Subclasses:
  FieldWriteInvocationWrapper

public class FieldWriteInvocation
extends FieldInvocation

This is a helper wrapper class for an Invocation object. It is used to add or get values or metadata that pertains to an AOP method invocation.

Version:
  $Revision: 1.16 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected Object` | `value`

Fields inherited from class org.jboss.aop.joinpoint.FieldInvocation
`field, index`

Fields inherited from class org.jboss.aop.joinpoint.InvocationBase
`advisor, currentInterceptor, instanceResolver, interceptors, metadata, responseContextInfo, targetObject`

Constructor Summary
`protected` | `FieldWriteInvocation(FieldInfo info, Interceptor[] interceptors)`
`protected` | `FieldWriteInvocation(FieldInfo info, Object value, Interceptor[] interceptors)`
`` | `FieldWriteInvocation(Field field, int index, Object value, Interceptor[] interceptors)`
`protected` | `FieldWriteInvocation(Interceptor[] interceptors)`

Method Summary
`Invocation` | `copy()` Copies complete state of Invocation object.
`Object` | `getValue()`
`Invocation` | `getWrapper(Interceptor[] newchain)` Get a wrapper invocation object that can insert a new chain of interceptors at runtime to the invocation flow.
`Object` | `invokeNext()` Invoke on the next interceptor in the chain.
`void` | `setValue(Object value)`

Methods inherited from class org.jboss.aop.joinpoint.FieldInvocation
`getField, getIndex, getMetaData, resolveAnnotation`

Methods inherited from class org.jboss.aop.joinpoint.InvocationBase
`addResponseAttachment, getAdvisor, getCurrentInterceptor, getInstanceResolver, getInterceptors, getMetaData, getResponseAttachment, getResponseContextInfo, getTargetObject, invokeNext, resolveAnnotation, resolveClassAnnotation, resolveClassMetaData, setAdvisor, setInstanceResolver, setMetaData, setResponseContextInfo, setTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Object value

Constructor Detail

### FieldWriteInvocation

    public FieldWriteInvocation(Field field,
                                int index,
                                Object value,
                                Interceptor[] interceptors)

### FieldWriteInvocation

    protected FieldWriteInvocation(Interceptor[] interceptors)

### FieldWriteInvocation

    protected FieldWriteInvocation(FieldInfo info,
                                   Interceptor[] interceptors)

### FieldWriteInvocation

    protected FieldWriteInvocation(FieldInfo info,
                                   Object value,
                                   Interceptor[] interceptors)

Method Detail

### invokeNext

    public Object invokeNext()
                      throws Throwable

  Invoke on the next interceptor in the chain. If this is already the end of the chain, reflection will call the constructor, field, or method you are invoking on.

  Specified by:
    `invokeNext` in interface `Invocation`
  Overrides:
    `invokeNext` in class `InvocationBase`
  Throws:
    `Throwable`

### getWrapper

    public Invocation getWrapper(Interceptor[] newchain)

  Get a wrapper invocation object that can insert a new chain of interceptors at runtime to the invocation flow. CFlow makes use of this. When the wrapper object finishes its invocation chain it delegates back to the wrapped invocation.

  Parameters:
    `newchain` -
  Returns:

### copy

    public Invocation copy()

  Copies complete state of Invocation object.

  Returns:

### getValue

    public Object getValue()

### setValue

    public void setValue(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.